{pkgs, ...}: {
  home.packages = with pkgs; [
    gh
  ];

  programs.lazygit = {
    enable = true;
  };

  programs.git = {
    enable = true;

    userName = "Thomas Syms";
    userEmail = "thomassyms@gmail.com";

    extraConfig = {
      credential.helper = "${
        pkgs.git.override {withLibsecret = true;}
      }/bin/git-credential-libsecret";
    };
  };

  home.shellAliases = {
    lgit = "lazygit";
  };
}
